1800 463 279 (Australia only)

+61 2 9390 9000 (International)

Existing Users

TurningPoint is the latest release of the TurningPoint Polling System.

TurningPoint will still look familiar to existing users but offers better integration with Cloud platforms such as Learning Management Systems and ResponseWare.

New features include self-paced polling for ResponseWare users, full view of PowerPoint slides in ResponseWare (for scientific notation and formulas) and an improved scalability for large lecture theatres.

Mobile Responding

Our mobile option, ResponseWare, allows participants to respond with their smartphone, tablet or computer through an app or web browser.

All subscriptions include mobile responding capabilities which provide immediate, full access to engage and interact in the learning process.

Contact us to discuss your polling requirements

Upgrading questions

When should I upgrade?

We recommend considering upgrades for any new purchases, whether or not you have existing systems. Please provide details of many receivers, keypads and if available the times of purchase to expedite any quoting process.

Users of Office 2016 or Windows 10 must use TurningPoint Cloud; TurningPoint 5 is not supported on these platforms.

General support for TurningPoint 5 will end June, 2017. Clients may opt to continue to run TurningPoint 5 until they upgrade their Windows or Office versions.

What is the cost to upgrade?

Organisations and invidiuals will need to purchase an "Instructor Account" license for each individual who will use TurningPoint as a presenter. The individual participants do not need to be licensed.

Instructor Accounts are attached to a user's email address for your domain which is used as your login to TurningPoint.

Please request a quote for pricing.

Can I use my existing hardware and presentations?

Existing hardware will work if it is Generation 3 or 4.

Check your hardware version by looking at the back of the USB Receiver.

Existing presentations can be used in TurningPoint Cloud, and it will automatically convert older versions.